#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Copyright (C) 2008 Alessio Treglia
#
# This file is part of installation-report-generator.
#
# installation-report-generator is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# installation-report-generator is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with installation-report-generator.  If not, see <http://www.gnu.org/licenses/>.


AUTHOR = "Alessio Treglia"
AUTHOR_EMAIL = "quadrispro@ubuntu.com"
SHORT_APPNAME = "installation-report-generator"
VERSION = (0,1,7)

get_version = lambda: '.'.join(map(str, list(VERSION)))

__doc__ = """\
This file is part of installation-report-generator

installation-report-generator v%s - A simple application to
help in the generation of the installation report of Ubuntu on
laptops.

Copyright © 2008  Alessio Treglia <quadrispro@ubuntu.com>
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 3
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
""" % get_version()

LICENSE = """
This program is free software; you can redistribute it and/or \
modify it under the terms of the GNU General Public License \
as published by the Free Software Foundation; either version 3 \
of the License, or (at your option) any later version. \

This program is distributed in the hope that it will be useful, \
but WITHOUT ANY WARRANTY; without even the implied warranty of \
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the \
GNU General Public License for more details.

You should have received a copy of the GNU General Public License \
along with this program; if not, write to the Free Software \
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
"""

#APP_PATH = "/home/alessio/Documenti/Progetti/installation-report-generator/installation-report-generator/"
APP_PATH = "/usr/share/installation-report-generator/"

get_path = lambda x: ''.join([APP_PATH, x])

#LOGO_SVG = "/usr/share/icons/hicolor/scalable/apps/todoman.svg"
#LOGO_PNG = "/usr/share/pixmaps/installation-report-generator.png"
#LOGO_SVG = get_path("glade/installation-report-generator.svg")
LOGO_PNG = get_path("glade/installation-report-generator.png")
#LANG_PATH = get_path("po/")
LANG_PATH = "/usr/share/locale"
GLADE_PATH = get_path("glade/")
GLADE_MAIN_WINDOW = ''.join([GLADE_PATH, 'main_window.glade'])
GLADE_ABOUT_DIALOG = ''.join([GLADE_PATH, 'about_dialog.glade'])

RCFILE = ".irgenerator.rc"
